export function getSecsFromDates(date: Date): number {
  const timestamp1 = date.getTime(); // Timestamp in milliseconds
  const timestamp2 = new Date().getTime(); // Timestamp in milliseconds

  // Calculate the difference in milliseconds
  const differenceInMs = timestamp2 - timestamp1;

  // Convert to seconds
  const differenceInSeconds = differenceInMs / 1000;

  // console.log(`Difference in seconds: ${differenceInSeconds}`);
  return Math.floor(differenceInSeconds);
}

export async function saveCallLogs(callLog: {
  from: string;
  to: string;
  time: number;
}) {
  const { from, to, time } = callLog;
  // console.log("saveCallLogs", callLog);
  try {
    const res = await fetch(
      "https://multiplyyapi.convexsol.com/Investor/CreateCallLogs",
      {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({
          callerId: from,
          receiverId: to,
          callDuration: time,
        }),
      }
    );
    if (!res.ok) {
      console.log("Failed to save call logs");
    }
  } catch (error) {
    console.log("saveCallLogs", error);
  }
}
